
Foreman - Bug #13670

SQL error when PUTing a numeric id to /api/v2/hosts/:id for any *_id attributes

02/11/2016 10:30 AM - Walden Raines

Status: Resolved   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1396551 Red Hat JIRA:  

Pull request:    

Description

JSON provided:

{

    "architecture_id": 1

}

 Response:

{

  "error": {

    "message": "ERROR:  operator does not exist: character varying = integer\nLINE 1: ...architect

ures\".\"id\" = 1 OR \"architectures\".\"name\" = 1))  ORD...\n                                   

                          ^\nHINT:  No operator matches the given name and argument type(s). You m

ight need to add explicit type casts.\n" 

  }

}

 Ultimately, one should be able to provide the exact same JSON received from a GET on /api/v2/hosts/:id back as a PUT without

errors.

History

#1 - 11/21/2016 02:02 AM - Marek Hulán

- Bugzilla link set to 1396551

#2 - 11/21/2016 02:05 AM - Marek Hulán

- Target version set to 115

#3 - 08/01/2017 06:46 AM - Marek Hulán

- Status changed from New to Resolved

I'm no longer able to reproduce, please reopen if you still encounter the issue with recent version of Foreman.
